# Method: accounts.requestphoneverification

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/requestphoneverification#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/requestphoneverification#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/requestphoneverification#body.request_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/requestphoneverification#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/requestphoneverification#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/requestphoneverification#body.RequestPhoneVerificationResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/requestphoneverification#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/requestphoneverification#try-it)

Request verification code to start phone verification.

### HTTP request

`POST https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/accounts/{accountId}/requestphoneverification`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account. |
| `accountId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the account. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "phoneRegionCode": string, "phoneNumber": string, "phoneVerificationMethod": enum (`https://developers.google.com/shopping-content/reference/rest/v2.1/PhoneVerificationMethod`), "languageCode": string } ``` |

| Fields ||
|---|---|
| `phoneRegionCode` | `string` Required. Two letter country code for the phone number, for example `CA` for Canadian numbers. See the [ISO 3166-1 alpha-2](https://wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements) officially assigned codes. |
| `phoneNumber` | `string` Phone number to be verified. |
| `phoneVerificationMethod` | ``enum (`https://developers.google.com/shopping-content/reference/rest/v2.1/PhoneVerificationMethod`)`` Verification method to receive verification code. |
| `languageCode` | `string` Language code [IETF BCP 47 syntax](https://tools.ietf.org/html/bcp47) (for example, en-US). Language code is used to provide localized `SMS` and `PHONE_CALL`. Default language used is en-US if not provided. |

### Response body

Response message for the accounts.requestphoneverification method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "verificationId": string } ``` |

| Fields ||
|---|---|
| `verificationId` | `string` The verification ID to use in subsequent calls to `verifyphonenumber`. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).